Bug 468776 - Black screen after select switch user
Black screen after select switch user
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 18:21 EDT by Michael
Modified: 2008-12-02 00:23 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 00:23:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael 2008-10-27 18:21:27 EDT
Description of problem:

I have a notebook HP Compaq 6720s (KE110EA). After I select the "Switch user" in menu for begin a new session I have see a black screen. 

Version-Release number of selected component (if applicable):

Fedora 10 rawhide

How reproducible:

Steps to Reproduce:
1. start system
2. enter in KDE
3. select "switch user" in menu
4. see black screen
  
Actual results: black screen


Expected results: another session


Additional info:

[midnighter@localhost ~]$ lspci
00:00.0 Host bridge: Intel Corporation Mobile GME965/GLE960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GME965/GLE960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GME965/GLE960 Integrated Graphics Controller (rev 0c)
00:19.0 Ethernet controller: Intel Corporation 82562GT 10/100 Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
10:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)
Comment 1 Bug Zapper 2008-11-25 23:19:52 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Brian Daniels 2008-11-28 11:19:44 EST
I can confirm this on F10 x86_64.  It's not actually just a black screen, it's the current screen saver.

I was able to work around this by creating /etc/sysconfig/desktop containing:
DESKTOP="KDE"
DISPLAYMANAGER="KDE"
and restarting my system.  After that is done clicking on Switch User brings up krunner (?!) where I can choose the new session option.

For some reason my primary desktop is on CTL-ALT-F1.  The new session ends up on F7.

If you don't have the /etc/sysconfig/desktop file then neither the menu or krunner options will let you start a new session.
Comment 3 Rex Dieter 2008-12-02 00:23:59 EST
comment #2 is on the money.  KDE's user switching feature requires use of kdm DISPLAYMANAGER.

Note You need to log in before you can comment on or make changes to this bug.